帖子

android 唤醒出错(25001)

[复制链接]

该用户从未签到

6735  楼主| jinshengjie 发表于 2017-1-22 15:06:56 1#
把带有唤醒程序的应用 做成系统应用时,会报25001错误?请问怎么解决呢?是什么资源不匹配?
王水 发表于 2017-1-22 15:15:36
2#
25001资源版本不匹配资源版本不匹配

你检查一下  是不是你的jet资源和你的so库版本不一致,一个是基础型的一个是增强型的?



楼内回复

怎么判断我是增强型还是基础行。关键有时候能用哦。我是有两个唤醒词的应用。  详情 发表于 2017-1-22 15:31
使用道具 举报 回复
 楼主| jinshengjie 发表于 2017-1-22 15:31:09
3#
王水 发表于 2017-1-22 15:15
25001资源版本不匹配资源版本不匹配

你检查一下  是不是你的jet资源和你的so库版本不一致,一个是基础型 ...

怎么判断我是增强型还是基础行。关键有时候能用哦。我是有两个唤醒词的应用。
使用道具 举报 回复
王水 发表于 2017-1-22 15:36:28
4#
QQ截图20170****53618.png
官网的唤醒购买页面有说明你的应用到底是什么型的,你下载SDK后直接运行里面的demo试试看,多个应用之间的东西千万不能混着用。

楼内回复

我的是基础型的。我现在把基础型的sdk下载了下来。然后把里面.jet和libmsc.so替换原先了。好像可以了。报这个错误就是so和jet没匹配上吗  详情 发表于 2017-1-22 15:44
使用道具 举报 回复
 楼主| jinshengjie 发表于 2017-1-22 15:44:24
5#
王水 发表于 2017-1-22 15:36
官网的唤醒购买页面有说明你的应用到底是什么型的,你下载SDK后直接运行里面的demo试试看,多个应用之间的 ...

我的是基础型的。我现在把基础型的sdk下载了下来。然后把里面.jet和libmsc.so替换原先了。好像可以了。报这个错误就是so和jet没匹配上吗

楼内回复

是的,基本就是这个问题  详情 发表于 2017-1-23 09:00
使用道具 举报 回复
王水 发表于 2017-1-23 09:00:47
6#
jinshengjie 发表于 2017-1-22 15:44
我的是基础型的。我现在把基础型的sdk下载了下来。然后把里面.jet和libmsc.so替换原先了。好像可以了。报 ...

是的,基本就是这个问题
使用道具 举报 回复